Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.CatalogManagerImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated

    @Deprecated
    public class CatalogManagerImpl

extends CatalogServiceImpl

The implementation class for the `CatalogManager` Session EJB.
Each service that is managed by an instance of the `CatalogManager` is specified by an EJB reference environment property:

- `ejb/ProductItemManager` - specifies the managed `ProductItemManager` service.
- `ejb/CategoryManager` - specifies the managed `CategoryManager` service.
- `ejb/CatalogQueryManager` - specifies the managed `CatalogQueryManager` service.
- `ejb/CustomDataManager` - specifies the managed `CustomDataManager` service.

Multiple Product Catalogs may be created by deploying a `CatalogManager` service for each Product Catalog. Each `CatalogManager` can manage a different set of Catalog services by way of modifying the service EJB references in the deployment descriptor. Each managed Catalog service may also be deployed multiple times with different service implementation delegates (as specified in each Catalog service deployment descriptor). In this way each deployed `CatalogManager` can managed a unique set of Catalog services.

See Also
  `CatalogManager`, `CatalogManagerHome`, `CategoryManager`, `ProductItemManager`, `CatalogQueryManager`, `CustomDataManager`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogManagerImpl()` Deprecated

Method Summary
`CatalogRequest` | `createAdminCatalogRequest()` Deprecated Creates a CatalogRequest with administrative user access permissions.
`CatalogRequest` | `createCatalogRequest()` Deprecated Creates a CatalogRequest with default user access permissions.
`void` | `ejbActivate()` Deprecated ejbActivate method.
`void` | `ejbCreate()` Deprecated ejbCreate method.
`void` | `ejbPassivate()` Deprecated ejbPassivate method.
`void` | `ejbPostCreate()` Deprecated ejbPostCreate method.
`void` | `ejbRemove()` Deprecated ejbRemove method.
`CatalogQueryManager` | `getCatalogQueryManager(CatalogRequest request)` Deprecated Returns the CatalogQueryManager catalog service.
`CategoryManager` | `getCategoryManager(CatalogRequest request)` Deprecated Returns the CategoryManager catalog service.
`CustomDataManager` | `getCustomDataManager(CatalogRequest request)` Deprecated Returns the CustomDataManager catalog service.
`ProductItemManager` | `getProductItemManager(CatalogRequest request)` Deprecated Returns the ProductItemManager catalog service.
`void` | `onRemoveItem(CatalogRequest request, CatalogItemKey itemKey)` Deprecated Callback method.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated setSessionContext method.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogManagerImpl

    public CatalogManagerImpl()

  Deprecated

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated
  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### getCategoryManager

    public CategoryManager getCategoryManager(CatalogRequest request)

  Deprecated
  Returns the CategoryManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CategoryManager service
  See Also
    `CategoryManager`, `CatalogManagerBusiness.createCatalogRequest()`, `CatalogManagerBusiness.createAdminCatalogRequest()`

### getProductItemManager

    public ProductItemManager getProductItemManager(CatalogRequest request)

  Deprecated
  Returns the ProductItemManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the ProductItemManager service
  See Also
    `ProductItemManager`, `CatalogManagerBusiness.createCatalogRequest()`, `CatalogManagerBusiness.createAdminCatalogRequest()`

### getCatalogQueryManager

    public CatalogQueryManager getCatalogQueryManager(CatalogRequest request)

  Deprecated
  Returns the CatalogQueryManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CatalogQueryManager service
  See Also
    `CatalogQueryManager`, `CatalogManagerBusiness.createCatalogRequest()`, `CatalogManagerBusiness.createAdminCatalogRequest()`

### getCustomDataManager

    public CustomDataManager getCustomDataManager(CatalogRequest request)

  Deprecated
  Returns the CustomDataManager catalog service.

  Parameters
    `request` - the user's current CatalogRequest
  Returns
    the CustomDataManager service
  See Also
    `CustomDataManager`, `CatalogManagerBusiness.createCatalogRequest()`, `CatalogManagerBusiness.createAdminCatalogRequest()`

### onRemoveItem

    public void onRemoveItem(CatalogRequest request,
                             CatalogItemKey itemKey)

  Deprecated
  Callback method. Services that remove items: `CategoryManager.removeCategory` and `ProductItemMananger.removeItem` should notify the `CatalogManager` that the items have been removed.

  Parameters
    `request` - the current CatalogRequest for the user
    `itemKey` - the key for the item being removed

### createCatalogRequest

    public CatalogRequest createCatalogRequest()

  Deprecated
  Creates a CatalogRequest with default user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  See Also
    `CatalogManagerBusiness.createAdminCatalogRequest()`

### createAdminCatalogRequest

    public CatalogRequest createAdminCatalogRequest()

  Deprecated
  Creates a CatalogRequest with administrative user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  See Also
    `CatalogManagerBusiness.createCatalogRequest()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.